<?php

session_start(); // this NEEDS TO BE AT THE TOP of the page before any output etc


?>
<!DOCTYPE html>
<html lang="en">
<head>
    <title>Angel Vocabulary Studying</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="images1/favicon.png">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <style>
        @media (max-width: 767px) {
            #titleTop{font-size:25px;}
            body{min-width: 450px; }
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #333;
            }

            li {

            }

            li a {
                display: block;
                color: white;
                text-align: center;
                padding: 14px 16px;
                text-decoration: none;
            }

            /* Change the link color to #111 (black) on hover */
            li a:hover {
                background-color: #111;
                color:white;
                text-decoration:none;
            }
            #rightHead{float:right;padding-right:25px;}
            #rightHead2{float:right;}
            #middleHead{float:left;padding-left:25px;padding-right:25px;}
            .middleSum{  float:left;clear:right;display:none;}
            #homeStuff{text-align:center;vertical-align:center;
                margin-bottom:auto;margin-top:auto;
                padding-left:25px;clear:right;font-size:18px;
                padding-top:30px;height:300px;padding-right:25px;}
            #homeIMG{display:none;}
            body{background-color:#333;}
            #readyIMG{margin-left:auto;margin-right:auto;height:250px;width:60%;display:block;padding-top:25px;padding-bottom:25px;}


        }

        @media (min-width: 768px) and (max-width: 1024px) {
            #titleTop{font-size:25px;}
            body{background-color:#333;}
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #333;
            }

            li {

            }

            li a {
                display: block;
                color: white;
                text-align: center;
                padding: 14px 16px;
                text-decoration: none;
            }

            /* Change the link color to #111 (black) on hover */
            li a:hover {
                background-color: #111;
                color:white;
                text-decoration:none;
            }
            #rightHead{float:right;padding-right:25px;}
            #rightHead2{float:right;}
            #middleHead{float:left;padding-left:25px;padding-right:25px;}
            .middleSum{  float:left;clear:right; display:none;}
            #homeStuff{text-align:center;vertical-align:center;
                margin-bottom:auto;margin-top:auto;float:left;
                padding-left:25px;clear:right;width:50%;font-size:18px;
                padding-top:30px;height:350px;}

            #readyIMG{margin-left:auto;margin-right:auto;height:250px;width:69%;display:block;padding-top:25px;padding-bottom:25px;}





        }
        @media (min-width: 1024px) {
            body {
                background-color: #333;
            }
        }
        #titleTop{font-size:25px;
            position: fixed; /* Fixed Sidebar (stay in place on scroll) */
            z-index: 1; /* Stay on top */
            top: 0; /* Stay at the top */
            left: 0;
            width:100%;
        }
        ul {
            list-style-type: none;
            margin: 0;
            padding: 0;
            overflow: hidden;
            background-color: #333;
        }

        li {

        }

        li a {
            display: block;
            color: white;
            text-align: center;
            padding: 14px 16px;
            text-decoration: none;
        }

        /* Change the link color to #111 (black) on hover */
        li a:hover {
            background-color: #111;
            color:white;
            text-decoration:none;
        }
        #rightHead{float:right;padding-right:25px;}
        #rightHead2{float:right;}
        #middleHead{float:left;padding-left:25px;padding-right:25px;}
        .middleSum{  float:left;clear:right;}
        #homeStuff{text-align:center;vertical-align:center;
            margin-bottom:auto;margin-top:auto;float:left;
            padding-left:25px;clear:right;width:50%;font-size:24px;
            padding-top:20px;
            padding-right:60px;}
        #homeIMG{padding-right:125px;padding-left:72px;}
        #readyIMG{margin-left:auto;margin-right:auto;height:250px;width:600px;display:block;padding-top:25px;padding-bottom:25px;}
        input[type=text] {
            border:0;
            outline: 0;
            border-bottom:2px solid blue;
            background-color:transparent;

        }
        #title:focus {
            border-color: green
        }

        ol,h2,li{text-align:center;}
        ol{list-style-type:none;}
        #readyDIV{background-color:white; height:250px;width:100%;}
        #homeStuff{color:white;}


        footer{background-color:#333;color:white; text-align:center;position: fixed; /* Fixed Sidebar (stay in place on scroll) */
            z-index: 1; /* Stay on top */
            left: 0;
            bottom:0;
        width:100%;
        padding:15px;}
        li a :hover{text-decoration:none;color:white;}
        .sidenav {
            height: 100%; /* Full-height: remove this if you want "auto" height */
            width: 20%; /* Set the width of the sidebar */
            position: fixed; /* Fixed Sidebar (stay in place on scroll) */
            z-index: 1; /* Stay on top */
            top: 63px; /* Stay at the top */
            left: 0;
            background-color: #111; /* Black */
            overflow-x: hidden; /* Disable horizontal scroll */
            padding-top: 120px;
            text-align:center;
        }

        /* The navigation menu links */
        .sidenav a {
            padding: 56px 8px 6px 16px;
            text-decoration: none;
            font-size: 25px;
            color: #818181;
            display: block;
        }

        /* When you mouse over the navigation links, change their color */
        .sidenav a:hover {
            color: #f1f1f1;
        }

        /* Style page content */
        .main {
            margin-left: 20%; /* Same as the width of the sidebar */
        }

        /* On smaller screens, where height is less than 450px, change the style of the sidebar (less padding and a smaller font size) */
        #uploadButton {
            text-align:center;

            margin-right:40px;
            margin-bottom: 30px;
            display:table-cell;
        }
        .btn{margin-top:10px;}
        #gameList{float:right;width:20%;margin-top:63px;text-align:center;height:850px;padding-top:100px;background-color:#bdbdbd }
        .buttonTitles{font-size:26px;font-weight:bold;}
        table{
            width:100%;
            height:100%;
        }
        th{height:50px; text-align:center; width:50%;}
        table, th, td {
            border: 1px solid black;
        }
        td{padding-left:25px;}
        #homeDiv{
            clear:both;
            width:100%
            display:inline-block;
            padding:20px;
            background-color:darkgrey;
            margin-top:63px;
            min-height:800px;
        }
        #tableVocab{
            clear:both;
            padding:0 25px 250px 25px;
            margin-left:20%;
            width:60%;height:650px;
            display:inline-block;
            background-color:darkgrey; margin-bottom:10px;}
        #gameArea{
            clear:both;
            margin-left:20%;
            width:60%;
            display:inline-block;
            padding:20px;
            background-color:darkgrey;
        }
        #logoutButton:hover{color:white;background-color: slategray;}

    </style>
</head>
<body>
<?php
$user_id = $_GET["userid"];
$db = mysqli_connect('localhost', 'ap_tester', 'sesame', 'honors');
$user_check_query = "SELECT first_name FROM user_info WHERE user_id='$user_id'";
$result1 = mysqli_query($db, $user_check_query);
$user1 = mysqli_fetch_assoc($result1);

$makeSetLocation="profile.php?userid=".$user_id;
$yourVocabLocation="yourVocab.php?userid=".$user_id;
$browseLocation="browse.php?userid=".$user_id;
$homeLocation="logout.php?userid=".$user_id;
?>

<div id="titleTop">
    <ul>
        <li id="middleHead"><a href="<?php echo $homeLocation?>">Deaf Friendly Vocab</a></li>
        <li id="rightHead"><a href="profile.php">Welcome, <?php echo $user1['first_name'] ?></a></li>
    </ul>
</div>

<div class="sidenav">
    <a href="<?php echo $makeSetLocation?>">Make Set</a>
    <a href="<?php echo $yourVocabLocation?>">Your Vocab</a>
    <a href="<?php echo $browseLocation?>">Browse</a>
</div>
<div class="main">

    <div id="homeDiv">
        <?php

        $user_check_query = "select set_id, user_id,set_name, set_created_day from sets ";
        $results = mysqli_query($db, $user_check_query);
        $user = mysqli_fetch_assoc($results);
        $resultSetId = array();
        $resultSetTitle=array();
        $resultSetDate=array();
        $resultSetUserId=array();
        $firstUserId=$user['user_id'];
        $user_check_query1 = "select username from account where user_id='$firstUserId' ";
        $result1 = mysqli_query($db, $user_check_query1);
        $user1 = mysqli_fetch_assoc($result1);


        while ($row = mysqli_fetch_assoc($results)) {
            $resultSetId[] = $row['set_id'];
            $resultSetTitle[]=$row['set_name'];
            $resultSetDate[]=$row['set_created_day'];
            $resultSetUserId[]=$row['user_id'];

        }


        ?><h1 style="font-weight:bold">All Sets</h1><br>
        <h3 style="padding-left:60px;">Set Name: <a href="study.php?setID=<?php echo $user['set_id']."&userid=".$user_id?>"><?php
                if (strpos($user['set_name'],"#&39")!==false){
                    $user['set_name']=str_replace("#&39","'",$user['set_name']);

                }echo $user['set_name'];?></a></h3>
        <h4 style="padding-left:98px;">Made by: <?php echo $user1['username'];?></h4>
        <h4 style="padding-left:74px;">Created On: <?php $t=strtotime($user['set_created_day']);
            echo date('F jS,  Y',$t);?></h4><?php

        for ($i=0;$i<count($resultSetId);$i++){
            $user_check_query1 = "select username from account where user_id='$resultSetUserId[$i]' ";
            $result1 = mysqli_query($db, $user_check_query1);
            $user1 = mysqli_fetch_assoc($result1);
            ?><h3 style="padding-left:60px;">Set Name: <a href="study.php?setID=<?php echo $resultSetId[$i]."&userid=".$user_id?>"><?php
                if (strpos($resultSetTitle[$i],"#&39")!==false){
                    $resultSetTitle[$i]=str_replace("#&39","'",$resultSetTitle[$i]);

                }echo $resultSetTitle[$i];?></a></h3>
            <h4 style="padding-left:98px;">Made by: <?php echo $user1['username'];?></h4>
            <h4 style="padding-left:74px;">Created On: <?php $t=strtotime($user['set_created_day']);
            echo date('F jS,  Y',$t);?></h4><?php

        }



        ?>
        <h3></h3>
    </div>
</div>
<div id="logout" style="background-color:transparent;color:black; text-align:center;position: fixed;
    z-index: 1;
    left: 0;
    width:20%;
    bottom:95px;">
    <button id="logoutButton" style="width:80%;
    height:100%;" onclick="logout()">Log Out</button>
    <script>
        function logout() {
            window.location.replace("MemoryGame.html");
        }
    </script>
</div>
<footer>
    <p >&copy Shane Angel</em></p>
    <p id="date"></p>
</footer>

<script>
    var d=new Date();
    document.getElementById("date").innerHTML= Date();



</script>
</body>
</html>
