<!DOCTYPE html>
<html lang="en">
<head>
    <title>Angel Vocabulary Studying</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="icon" href="images1/favicon.png">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>

    <style>
        @media (max-width: 767px) {
            #titleTop{font-size:25px;}
            body{min-width: 450px; }
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #333;
            }

            li {

            }

            li a {
                display: block;
                color: white;
                text-align: center;
                padding: 14px 16px;
                text-decoration: none;
            }

            /* Change the link color to #111 (black) on hover */
            li a:hover {
                background-color: #111;
                color:white;
                text-decoration:none;
            }
            #rightHead{float:right;padding-right:25px;}
            #rightHead2{float:right;}
            #middleHead{float:left;padding-left:25px;padding-right:25px;}
            .middleSum{  float:left;clear:right;display:none;}
            #homeStuff{text-align:center;vertical-align:center;
                margin-bottom:auto;margin-top:auto;
                padding-left:25px;clear:right;font-size:18px;
                padding-top:30px;height:300px;padding-right:25px;}
            #homeIMG{display:none;}
            body{background-color:#333;}
            #readyIMG{margin-left:auto;margin-right:auto;height:250px;width:60%;display:block;padding-top:25px;padding-bottom:25px;}


        }

        @media (min-width: 768px) and (max-width: 1024px) {
            #titleTop{font-size:25px;}
            body{background-color:#333;}
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #333;
            }

            li {

            }

            li a {
                display: block;
                color: white;
                text-align: center;
                padding: 14px 16px;
                text-decoration: none;
            }

            /* Change the link color to #111 (black) on hover */
            li a:hover {
                background-color: #111;
                color:white;
                text-decoration:none;
            }
            #rightHead{float:right;padding-right:25px;}
            #rightHead2{float:right;}
            #middleHead{float:left;padding-left:25px;padding-right:25px;}
            .middleSum{  float:left;clear:right; display:none;}
            #homeStuff{text-align:center;vertical-align:center;
                margin-bottom:auto;margin-top:auto;float:left;
                padding-left:25px;clear:right;width:50%;font-size:18px;
                padding-top:30px;height:350px;}
            #homeDiv {
                height: 350px;
            }
            #readyIMG{margin-left:auto;margin-right:auto;height:250px;width:69%;display:block;padding-top:25px;padding-bottom:25px;}
        }
        @media (min-width: 1024px) {
            #titleTop{font-size:25px;}
            body{background-color:#333;}
            ul {
                list-style-type: none;
                margin: 0;
                padding: 0;
                overflow: hidden;
                background-color: #333;
            }

            li {

            }

            li a {
                display: block;
                color: white;
                text-align: center;
                padding: 14px 16px;
                text-decoration: none;
            }

            /* Change the link color to #111 (black) on hover */
            li a:hover {
                background-color: #111;
                color:white;
                text-decoration:none;
            }
            #rightHead{float:right;padding-right:25px;}
            #rightHead2{float:right;}
            #middleHead{float:left;padding-left:25px;padding-right:25px;}
            .middleSum{  float:left;clear:right; display:none;}
            #homeStuff{text-align:center;vertical-align:center;
                margin-bottom:auto;margin-top:auto;float:left;
                padding-left:25px;clear:right;width:50%;font-size:24px;
                padding-top:60px;height:350px;}
            #homeDiv {
                height: 450px;
            }
            #homeIMG{padding-right:125px;padding-left:72px;margin-top:50px;}
            #readyIMG{margin-left:auto;margin-right:auto;height:250px;width:69%;display:block;padding:25px 30px 25px 30px;}
        }
        ol,h2,li{text-align:center;}
        ol{list-style-type:none;}
        #readyDIV{background-color:white; height:250px;width:100%;}
        #homeStuff{color:white; padding-left:45px;}
        #homeDiv{background-color:darkgrey; min-height:200px;}
        footer{background-color:#333;color:white; text-align:center;position: fixed; /* Fixed Sidebar (stay in place on scroll) */
            z-index: 1; /* Stay on top */
            left: 0;
            bottom:0;
            width:100%;
            padding:15px;}
        li a :hover{text-decoration:none;color:white;}
        .sidenav {
            height: 100%; /* Full-height: remove this if you want "auto" height */
            width: 20%; /* Set the width of the sidebar */
            position: fixed; /* Fixed Sidebar (stay in place on scroll) */
            z-index: 1; /* Stay on top */
            top: 63px; /* Stay at the top */
            left: 0;
            background-color: #111; /* Black */
            overflow-x: hidden; /* Disable horizontal scroll */
            padding-top: 120px;
            text-align:center;
        }

        /* The navigation menu links */
        .sidenav a {
            padding: 56px 8px 6px 16px;
            text-decoration: none;
            font-size: 25px;
            color: #818181;
            display: block;
        }

        /* When you mouse over the navigation links, change their color */
        .sidenav a:hover {
            color: #f1f1f1;
        }

        /* Style page content */
        .main {
            margin-left: 20%; /* Same as the width of the sidebar */
        }

        /* On smaller screens, where height is less than 450px, change the style of the sidebar (less padding and a smaller font size) */
        #uploadButton{
            float:right;
            margin-bottom:30px;
        }
        #logoutButton:hover{color:white;background-color: slategray;}
    </style>
</head>
<body>

<?php
$db = mysqli_connect('localhost', 'ap_tester', 'sesame', 'honors');

$user_id=$_GET['userid'];

$sql1 = "SELECT first_name FROM user_info where user_id='$user_id'";
$result1 = mysqli_query($db, $sql1);
$user1 = mysqli_fetch_assoc($result1);

$makeSetLocation="profile.php?userid=".$user_id;
$yourVocabLocation="yourVocab.php?userid=".$user_id;
$browseLocation="browse.php?userid=".$user_id;
$homeLocation="logout.php?userid=".$user_id;
?>
<div id="titleTop">
    <ul>
        <li id="middleHead"><a href="<?php echo $homeLocation?>">Deaf Friendly Vocab</a></li>
        <li id="rightHead"><a href="profile.php">Welcome, <?php echo $user1['first_name'] ?></a></li>
    </ul>
</div>

<div class="sidenav">
    <a href="<?php echo $makeSetLocation?>">Make Set</a>
    <a href="<?php echo $yourVocabLocation?>">Your Vocab</a>
    <a href="<?php echo $browseLocation?>">Browse</a>
</div>
<div class="main">
<div id="homeDiv">
    <p id="homeStuff">Learn vocab by playing the following three games that test your memory and knowledge of the vocabulary! This isn't like those other
        study tools. We have made a study tool that is deaf friendly that allows
        the user to upload videos of them signing to enable deaf users
        to learn in their first language. So sign in or make an account to
        start studying.</p>
    <img id="homeIMG" style="float:right; height:350px;width:50%;" src="images1/images.jpg" alt="Picture of gold book. Symbolizing studying">
</div>
<div id="readyDIV">
    <img id="readyIMG" src="images1/ready.jpg" alt="Showing the sign for ready">
</div>
</div>
<div id="logout" style="background-color:transparent;color:black; text-align:center;position: fixed;
    z-index: 1;
    left: 0;
    width:20%;
    bottom:95px;">
    <button id="logoutButton" style="width:80%;
    height:100%;" onclick="logout()">Log Out</button>
    <script>
        function logout() {
            window.location.replace("MemoryGame.html");
        }
    </script>
</div>
<footer>
    <p><em>&copy Shane Angel</em></p>
    <p id="date"></p>
</footer>

<script>
    var d=new Date();
    document.getElementById("date").innerHTML= Date();
</script>
</body>
</html>
